
Quantification tool - Bug #513

Include the day for the expiration date of batches to expire in Selected Medicines tab of the New

forecasting

03/18/2013 07:22 PM - Luis Gustavo do Valle Bastos

Status: Closed Start date: 03/18/2013

Priority: Immediate Due date: 04/12/2013

Assignee: Luis Gustavo do Valle Bastos % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Version 1.0 Spent time: 1.10 hour

Description

Related to feature #512 (change label)

History

#1 - 03/21/2013 06:38 AM - Oleksii Kurasov

- Due date set to 03/21/2013

- Status changed from New to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

- % Done changed from 0 to 100

#2 - 03/25/2013 06:45 PM - Luis Gustavo do Valle Bastos

- Status changed from Resolved to Feedback

- Assignee changed from Luis Gustavo do Valle Bastos to Oleksii Kurasov

The expiration date is default displaying the first day of the current month and year. But, should be displayed blank for day, month and year as default.

When displaying the date user entered, it should be as mm/dd/yyy.

If the user let the expiration date blank, the system does not allow recording and a warning message should be displayed, this is a mandatory field.

The expiration date cannot be before the reference date. In this case, the system does not allow recording and a warning message should be

displayed.

#3 - 04/01/2013 10:13 AM - Oleksii Kurasov

- Due date changed from 03/21/2013 to 04/01/2013

- Status changed from Feedback to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#4 - 04/02/2013 01:03 PM - Luis Gustavo do Valle Bastos

- Status changed from Resolved to Feedback

- Assignee changed from Luis Gustavo do Valle Bastos to Oleksii Kurasov

Tested and the logic is correct. Just change the messages, as follow:

Expire date is a mandatory field => Expiration date is a mandatory field.

Order received before reference date => Expiration date cannot be before the reference date.
Quantity must be => Quantity cannot be zero.

#5 - 04/03/2013 04:31 AM - Oleksii Kurasov

- Due date changed from 04/01/2013 to 04/03/2013

- Status changed from Feedback to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#6 - 04/03/2013 12:30 PM - Luis Gustavo do Valle Bastos

- Status changed from Resolved to Feedback

- Assignee changed from Luis Gustavo do Valle Bastos to Oleksii Kurasov

- % Done changed from 100 to 80

The message Expiration date cannot be before the reference date, is been displayed as RECEIVING DATE cannot be before the reference date.

Please, correct.

#7 - 04/04/2013 04:35 AM - Oleksii Kurasov

- Due date changed from 04/03/2013 to 04/05/2013

- Status changed from Feedback to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

- % Done changed from 80 to 100

#8 - 04/09/2013 10:41 AM - Luis Gustavo do Valle Bastos

- Status changed from Resolved to Feedback

- Assignee changed from Luis Gustavo do Valle Bastos to Oleksii Kurasov

For Stock on hand: current message "Expiration date cannot be before the receiving date" should be replaced by "Expiration date cannot be before or

equal to the reference date".

#9 - 04/10/2013 06:31 AM - Oleksii Kurasov

- Due date changed from 04/05/2013 to 04/10/2013

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#10 - 04/10/2013 06:40 AM - Oleksii Kurasov

- Status changed from Feedback to Resolved

#11 - 04/10/2013 09:36 AM - Luis Gustavo do Valle Bastos

- Status changed from Resolved to Feedback

- Assignee changed from Luis Gustavo do Valle Bastos to Oleksii Kurasov

- % Done changed from 100 to 50

The message is still incorrect. Please, change to "Expiration date cannot be before or equal to the reference date".

#12 - 04/12/2013 05:36 AM - Oleksii Kurasov

- Due date changed from 04/10/2013 to 04/12/2013

- Status changed from Feedback to Resolved

#13 - 04/12/2013 05:37 AM - Oleksii Kurasov

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

- % Done changed from 50 to 100
#14 - 04/15/2013 05:15 PM - Luis Gustavo do Valle Bastos

- Status changed from Resolved to Closed

Adequate.
